Run Extract Template (Async)
curl --request POST \
--url https://sdk.nimbleway.com/v2/extract/templates/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"params": {},
"template": "<string>",
"formats": [],
"localization": false,
"callback_url": "<string>",
"storage_compress": true,
"storage_object_name": "<string>",
"storage_type": "<string>",
"storage_url": "<string>"
}
'import requests
url = "https://sdk.nimbleway.com/v2/extract/templates/async"
payload = {
"params": {},
"template": "<string>",
"formats": [],
"localization": False,
"callback_url": "<string>",
"storage_compress": True,
"storage_object_name": "<string>",
"storage_type": "<string>",
"storage_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
params: {},
template: '<string>',
formats: [],
localization: false,
callback_url: '<string>',
storage_compress: true,
storage_object_name: '<string>',
storage_type: '<string>',
storage_url: '<string>'
})
};
fetch('https://sdk.nimbleway.com/v2/extract/templates/async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"task": {}
}Run Extract Template (Async)
Execute Extract Template Async Endpoint
POST
/
v2
/
extract
/
templates
/
async
Run Extract Template (Async)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body for executing an Extraction Template
Show child attributes
Show child attributes
Response formats to include. All disabled by default.
Minimum array length:
1Available options:
html, markdown, screenshot, headers, links Example:
["html", "markdown"]
URL to call back when async operation completes
Example:
"https://example.com/webhook/callback"
Whether to compress stored data
Example:
true
Custom name for the stored object
Example:
"result-2024-01-15.json"
Type of storage to use for results
Example:
"s3"
URL for storage location
Example:
"s3://bucket-name/path/to/object"
Was this page helpful?
⌘I